package org.jeecg.module.custom.ocr.dataDao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.module.custom.ocr.dataobject.QueryConfig;
import org.jeecg.module.custom.ocr.dataobject.Task;

import java.util.List;

public interface TaskMapper extends BaseMapper<Task> {
    void save(Task task);

    void deleteByTaskNo(@Param("taskNo") Long taskNo);

    void deleteByTaskNos(@Param("taskNos") List<Long> taskNos);

    List<Task> selectByAccountNoAndQueryConfig(@Param("accountNo") Long accountNo, @Param("queryConfig") String queryConfig, @Param("validateColumns") List<String> validateColumns);

    List<Task> selectByQueryConfig(@Param("queryConfig") QueryConfig queryConfig);
}
